//CSS全体のリセット設定
@import "reset";
@import "color";
@import "basic";

//コンテンツの書式まわり
@import "content_text";

html, body{
	-webkit-overflow-scrolling : touch !important;
	overflow: auto !important;
}

body{
	background-color:$color-lightgray ;
}

section#header-title{
	background-color:$color-gray;
	padding-top: 20px;
	padding-bottom: 20px;
	margin-bottom: 20px;
	h2{
		font-size: 150%;
		text-align: center;
		margin-bottom: 3px;
		font-weight: bold;
	}
	h3{
		font-size: 100%;
		text-align: center;
		font-weight: bold;
	}
}


section#content_index{
	margin:0 auto;
	padding:10px;
	width:90%;
	margin-top: 20px;
	//margin-left: 5%;
	//margin-right:5%;
	//border:1px solid #000000;
	border-radius: 3px;
	background-color:$color-darkgray;
	color:$color-white;
	ul#index_style{
		li{
			margin-left: 0px;
			line-height: 2;
		}
		ul.semiIndex_style{
			li{
				margin-left: 20px;
				line-height: 2;
			}
		}
	}
}

//ルビ消去
// rt{
// 	display: none;
// }

//イラスト
img.illust-img{
	display: block;
	margin: 0 auto;
	padding-top: 10px;
	text-align: center;
	width:50%;
	height:auto;
	margin-bottom: 20px;
}

.content_blocks{
  //margin: 0 auto;
  //width:95%;
	h3.content-title{
		margin: 0 auto;
		width: 90%;
		font-size: 120%;
		font-weight: bold;
		margin-bottom: 10px;
	}
	h4.content-stepTitle{
		margin: 0 auto;
		width: 90%;
		font-size: 120%;
		font-weight: bold;
		margin-bottom: 10px;
	}
	h5.title_subStyle{
		background-color:$color-white;
		padding:4px;
		padding-left: 8px;
		margin: 0 auto;
		width: 90%;
    font-size: 85%;
		margin-bottom: 10px;
	}
  p.content_text{
    margin: 0 auto;
    width: 90%;
    font-size: 100%;
    line-height: 1.8;
		margin-bottom: 10px;
		word-break: break-all;
	}
	iframe{
		display: block;
		margin:0 auto;
		width: 90%;
		margin-bottom: 20px;
	}
}

//コラム
section#section-column{
  background-color: $color-gray;
  margin: 0 auto;
  width:90%;
  border-radius: 5px;
	color:$color-darkgray;
  h2#column-title{
		font-family: 'DINNextLTPro-Bold', sans-serif;
    font-size: 150%;
    text-align: center;
    padding-top: 20px;
		padding-bottom: 0px;
    line-height: 1;
  }
  h3#column-mainTitle{
		margin: 0 auto;
		width: 90%;
		text-align: center;
		font-size: 120%;
		font-weight: bold;
		margin-bottom: 10px;
  }
  div.column_blocks{
    h3.column-number{
			font-family: 'DINNextLTPro-Bold', sans-serif;
      font-size: 300%;
      text-align: center;
      //padding: 20px;
      line-height: 0.8;
			padding-top: 10px;
      //color:GREEN;
    }
		h4.column-subTitle{
			font-size: 120%;
			font-weight: bold;
      text-align: center;
      padding: 20px;
      line-height: 1;
      //color:GREEN;
		}

  }
}

p.column-text{
	margin: 0 auto;
	width:90%;
	margin-bottom: 10px;
	//color:RED;
}

//イラストコメント
.illust-comment {
  position: relative;
  //display: inline-block;
	margin: 0 auto;
	//margin-top: 15px;
  //margin: 1.5em 0;
  padding-top:10px;
	padding-left:15px;
	padding-right:15px;
	padding-bottom:10px;
  //min-width: 120px;
  width: 100%;
  //color: #555;
  //font-size: 16px;
  background: $color-lightgray;
  border: solid 2px $color-darkgray;
	// border-top: none;
  box-sizing: border-box;
}

.illust-comment:before {
	content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
	left: 50%;
	transform: translateX(-50%);
  bottom: -33px;
  border-top: 21px solid $color-darkgray;
  border-right: 0px solid transparent;
  border-left: 18px solid transparent;
}

.illust-comment:after {
	content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
	left: 50%;
	transform: translateX(-50%);
  bottom: -30px;
  border-top: 21px solid $color-lightgray;
  border-right: 0px solid transparent;
  border-left: 18px solid transparent;
	z-index: 600;
}
.illust-comment p {
  margin: 0;
  padding: 0;
}

figure.content_fig{
  //border: 1px solid #EAEAEA ;
  //background-color: #EAEAEA;
  margin-top: 10px;
  margin-bottom: 20px;
  //padding:5px;
  img.refer-image{
    width:100%;
    height:auto;
    //mix-blend-mode: color-burn; /*値を変更すれば様々な効果を与えられます*/
    margin-bottom: 5px;
  }
  figcaption{
    margin:0 auto;
    width: 90%;
    font-size: 85%;
  }
}

figure.column_fig{
  margin: 0 auto;
	margin-top: 15px;
  //margin-bottom: 20px;
  text-align: center;
  //padding:5px;
  img.refer-image{
    margin: 0 auto;
    width:95%;
    height:auto;
    //mix-blend-mode: color-burn; /*値を変更すれば様々な効果を与えられます*/
    margin-bottom: 5px;
  }
  figcaption{
    margin:0 auto;
    width: 90%;
    font-size: 85%;
		padding-bottom: 20px;
  }
}

.iframeContainer{
  //height:100%;
  .iframeBlock{
    //height:100%;

  }
}

.demo-program {
	iframe {
		width: 100%;
		height: 60vh;
		margin-top: 0px;
	}
}

iframe{
  border:none;
  width:100%;
  //height:100%;
  padding:0;
  margin:0;
  margin-top: 15px;
	margin-bottom: 5px;
}


.caption_text{
	margin:0 auto;
	width: 90%;
  font-size: 90%;
	//margin-bottom: 20px;
}

span.text_bold{
  font-weight: bold;
}

span.text_yellow{
  background-color:$color-ruby;
}


//目次部分チェックで見え隠れ
/*ボックス全体*/
/*ボックス全体*/

.accbox {
    //margin: 2em 0;
    padding: 0;
    //max-width: 400px;/*最大幅*/
}

/*ラベル*/
.accbox label {
    display: block;
    //margin: 1.5px 0;
    padding : 5px 6px;
    color :$color-white;
    font-weight: bold;
    //background :#a4cbf3;
    cursor :pointer;
    //transition: all 0.5s;
}

/*ラベルホバー時*/
.accbox label:hover {
    //background :#85baef;
		opacity:0.4;
		filter: alpha(opacity=40);        /* ie lt 8 */
		-ms-filter: "alpha(opacity=40)";  /* ie 8 */
		-moz-opacity:0.4;                 /* FF lt 1.5, Netscape */
		-khtml-opacity: 0.4;
}

/*チェックは隠す*/
.accbox input {
    display: none;
}

/*中身を非表示にしておく*/
.accbox #index_detail {
    height: 0;
    padding: 0;
    overflow: hidden;
    opacity: 0;
    //transition: 0.8s;
}

/*クリックで中身表示*/
.cssacc:checked + #index_detail {
    height: auto;
    padding: 5px;
    //background: #eaeaea;
    opacity: 1;
		transition: 0.8s;
}

section.edu-program{
	margin-bottom: 20px;
}

//フッタースタイル
div#footer{
	margin-top: 30px;
	//フッターボタン
	section#footer_ui{
		//margin: 0 auto;
		ul{
			text-align: center;
			li{
				display:inline-block;
				img.footer-button{
					width:40px;
					height:auto;
					margin-right:10px;
				}
			}
		}
	}
}

